<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="108dp"
    android:layout_marginStart="16dp"
    android:layout_marginEnd="16dp"
    app:cardBackgroundColor="@color/ui_surface"
    app:cardCornerRadius="8dp"
    app:cardElevation="0dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/rankIv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="12dp"
            android:layout_marginLeft="12dp"
            android:layout_marginTop="22dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/icon_leaderboard_1" />

        <TextView
            android:id="@+id/rankTv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="12dp"
            android:layout_marginLeft="12dp"
            android:layout_marginTop="22dp"
            android:gravity="center"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/secondary_title_text_size"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="20" />

        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/userAvatar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="33dp"
            android:layout_marginLeft="33dp"
            app:avatar_width="44dp"
            app:badge_width="14.3dp"
            app:border_color="@color/resource_border"
            app:border_width="1px"
            app:layout_constraintBottom_toTopOf="@+id/gameCollectionCv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:layout_height="66dp"
            tools:layout_width="66dp" />

        <TextView
            android:id="@+id/userNameTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="1dp"
            android:layout_marginLeft="1dp"
            android:layout_marginEnd="4dp"
            android:layout_marginRight="4dp"
            android:singleLine="true"
            android:textColor="@color/text_primary"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@+id/userFansAndVoteCountTv"
            app:layout_constraintEnd_toStartOf="@+id/badgeIv"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toEndOf="@+id/userAvatar"
            app:layout_constraintTop_toTopOf="@+id/userAvatar"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="用户名称用户名称用户名称用户名称用户名称用户名称" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/badgeIv"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/userNameTv"
            app:layout_constraintEnd_toStartOf="@+id/followTv"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@+id/userNameTv"
            app:layout_constraintTop_toTopOf="@+id/userNameTv"
            tools:background="@color/ui_background"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/authTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="1dp"
            android:layout_marginLeft="1dp"
            android:layout_marginTop="3dp"
            android:layout_marginEnd="8dp"
            android:layout_marginRight="8dp"
            android:singleLine="true"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/little_secondary_size"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
            app:layout_constraintEnd_toStartOf="@+id/userFansAndVoteCountTv"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toEndOf="@+id/userAvatar"
            app:layout_constraintTop_toBottomOf="@+id/userNameTv"
            app:layout_constraintVertical_bias="0"
            tools:text="认证认证认证认证认证认证认证认证认证认证认证认证"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/userFansAndVoteCountTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/little_secondary_size"
            app:layout_goneMarginStart="1dp"
            app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
            app:layout_constraintEnd_toStartOf="@+id/followTv"
            app:layout_constraintStart_toEndOf="@+id/authTv"
            app:layout_constraintTop_toBottomOf="@+id/userNameTv"
            app:layout_constraintVertical_bias="0"
            tools:text="100粉丝 100赞同" />

        <TextView
            android:id="@+id/followTv"
            android:layout_width="56dp"
            android:layout_height="28dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:gravity="center"
            android:text="关注"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@+id/gameCollectionCv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:background="@drawable/button_round_primary_light"
            tools:textcolor="@color/primary_theme"
            tools:visibility="visible" />

        <androidx.cardview.widget.CardView
            android:id="@+id/gameCollectionCv"
            android:layout_width="0dp"
            android:layout_height="28dp"
            android:layout_marginStart="12dp"
            android:layout_marginLeft="12dp"
            android:layout_marginEnd="12dp"
            android:layout_marginRight="12dp"
            android:layout_marginBottom="12dp"
            app:cardBackgroundColor="@color/ui_container_1"
            app:cardCornerRadius="8dp"
            app:cardElevation="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/gameCollectionIv"
                    android:layout_width="12dp"
                    android:layout_height="12dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginLeft="12dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/ic_user_game_collection" />

                <TextView
                    android:id="@+id/gameCollectionCountTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:layout_marginLeft="4dp"
                    android:textColor="@color/text_secondary"
                    android:textSize="@dimen/secondary_size"
                    app:layout_constraintBottom_toBottomOf="@+id/gameCollectionIv"
                    app:layout_constraintStart_toEndOf="@+id/gameCollectionIv"
                    app:layout_constraintTop_toTopOf="@+id/gameCollectionIv"
                    tools:text="128" />

                <View
                    android:id="@+id/divider"
                    android:layout_width="1dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="56dp"
                    android:layout_marginLeft="56dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp"
                    android:background="@color/ui_divider"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/gameCollectionTitleTv"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:layout_marginLeft="8dp"
                    android:layout_marginEnd="8dp"
                    android:layout_marginRight="8dp"
                    android:singleLine="true"
                    android:textColor="@color/text_secondary"
                    android:textSize="@dimen/secondary_size"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/moreIv"
                    app:layout_constraintStart_toEndOf="@+id/divider"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="最近很多人玩的也是很火的吃鸡游戏最近很多人玩的也是很火的吃鸡游戏" />

                <ImageView
                    android:id="@+id/moreIv"
                    android:layout_width="8dp"
                    android:layout_height="12dp"
                    android:layout_marginEnd="12dp"
                    android:layout_marginRight="12dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/icon_more"
                    app:tint="@color/text_neutral" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.cardview.widget.CardView>